# Uses of Class
org.apache.lucene.codecs.DocValuesProducer

Packages that use DocValuesProducer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of DocValuesProducer in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return DocValuesProducer
  Modifier and Type
  Method
  Description
  `abstract DocValuesProducer`
  DocValuesFormat.`fieldsProducer(SegmentReadState state)`
  Returns a `DocValuesProducer` to read docvalues from the index.
  `DocValuesProducer`
  DocValuesProducer.`getMergeInstance()`
  Returns an instance optimized for merging.
  Methods in org.apache.lucene.codecs with parameters of type DocValuesProducer
  Modifier and Type
  Method
  Description
  `abstract void`
  DocValuesConsumer.`addBinaryField(FieldInfo field, DocValuesProducer valuesProducer)`
  Writes binary docvalues for a field.
  `abstract void`
  DocValuesConsumer.`addNumericField(FieldInfo field, DocValuesProducer valuesProducer)`
  Writes numeric docvalues for a field.
  `abstract void`
  DocValuesConsumer.`addSortedField(FieldInfo field, DocValuesProducer valuesProducer)`
  Writes pre-sorted binary docvalues for a field.
  `abstract void`
  DocValuesConsumer.`addSortedNumericField(FieldInfo field, DocValuesProducer valuesProducer)`
  Writes pre-sorted numeric docvalues for a field
  `abstract void`
  DocValuesConsumer.`addSortedSetField(FieldInfo field, DocValuesProducer valuesProducer)`
  Writes pre-sorted set docvalues for a field

- ## Uses of DocValuesProducer in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return DocValuesProducer
  Modifier and Type
  Method
  Description
  `DocValuesProducer`
  Lucene90DocValuesFormat.`fieldsProducer(SegmentReadState state)`

- ## Uses of DocValuesProducer in org.apache.lucene.codecs.perfield

  Methods in org.apache.lucene.codecs.perfield that return DocValuesProducer
  Modifier and Type
  Method
  Description
  `final DocValuesProducer`
  PerFieldDocValuesFormat.`fieldsProducer(SegmentReadState state)`

- ## Uses of DocValuesProducer in org.apache.lucene.index

  Subclasses of DocValuesProducer in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `class`
  `EmptyDocValuesProducer`
  Abstract base class implementing a `DocValuesProducer` that has no doc values.
  Fields in org.apache.lucene.index declared as DocValuesProducer
  Modifier and Type
  Field
  Description
  `final DocValuesProducer[]`
  MergeState.`docValuesProducers`
  DocValues producers being merged
  Methods in org.apache.lucene.index that return DocValuesProducer
  Modifier and Type
  Method
  Description
  `abstract DocValuesProducer`
  CodecReader.`getDocValuesReader()`
  Expert: retrieve underlying DocValuesProducer
  `DocValuesProducer`
  FilterCodecReader.`getDocValuesReader()`
  `DocValuesProducer`
  SegmentReader.`getDocValuesReader()`
  `DocValuesProducer`
  SortingCodecReader.`getDocValuesReader()`
  Constructors in org.apache.lucene.index with parameters of type DocValuesProducer
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.